invoke_queue Struct Reference

## Data Fields

Tcl_Event | ev
int | argc
char ** | argv
VALUE | interp
int * | done
int | safe_level
VALUE | result
VALUE | thread

## Detailed Description

Definition at line 397 of file tcltklib.c.

## Field Documentation

int invoke_queue::argc

Definition at line 399 of file tcltklib.c.

Referenced by invoke_queue_handler(), and ivq_safelevel_handler().

char** invoke_queue::argv

Definition at line 403 of file tcltklib.c.

Referenced by invoke_queue_handler(), and ivq_safelevel_handler().

int* invoke_queue::done

Definition at line 406 of file tcltklib.c.

Referenced by invoke_queue_handler().

Tcl_Event invoke_queue::ev

Definition at line 398 of file tcltklib.c.

VALUE invoke_queue::interp

Definition at line 405 of file tcltklib.c.

Referenced by invoke_queue_handler(), invoke_queue_mark(), and ivq_safelevel_handler().

VALUE invoke_queue::result

Definition at line 408 of file tcltklib.c.

Referenced by invoke_queue_handler(), and invoke_queue_mark().

int invoke_queue::safe_level

Definition at line 407 of file tcltklib.c.

Referenced by invoke_queue_handler(), and ivq_safelevel_handler().

VALUE invoke_queue::thread

Definition at line 409 of file tcltklib.c.

Referenced by invoke_queue_handler(), and invoke_queue_mark().

The documentation for this struct was generated from the following file:

- ext/tk/tcltklib.c